Hi All,

I recently purchased a new APM 2560 for my quad. The issue is it is not able to connect to Mission planner. When i try to upload the code it says not 1280 and not 2560 something like this discussion

http://diydrones.com/forum/topics/can-t-detect-apm-version-check-yo...

But in his case atleast the code that was already there was working whereas in mine it is not. i tried uploading the code (2.2b6) using arduino 022 relax patch but it gets stuck at "uploading to I/O Board".

I tried the IMU oilpan on a different board (1280) and it is working fine, even firmware loads on the 1280 board with the same cable.

Somebody please guide... Is my bootloader corrupt if so then how to check and repair??

 - Ayush

Views: 195

Reply to This

Replies to This Discussion

Hey Ayush, I have had a similar problem more than once. When it happened to me yesterday (after the APM had been around the world in my checked luggage) I was able to make it work again by uploading the arducopter HIL firmware, and then uploading the normal firmware. I have no idea why the HIL firmware would upload when the normal one didn't -- maybe it was just a coincidence. When this happened to me several months ago I used an AVR programmer to re-flash the bootloader.

Reply to Discussion

RSS

© 2020   Created by Chris Anderson.   Powered by

Badges  |  Report an Issue  |  Terms of Service